# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class PriceListSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PriceList
        fields = '__all__'


class PriceListSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.PriceList
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PriceListSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.PriceList
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PriceListItemSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.PriceListItem
        fields = '__all__'


class PriceListItemSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.PriceListItem
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class PriceListItemSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.PriceListItem
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class OrganizationPriceListSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.OrganizationPriceList
        fields = '__all__'


class OrganizationPriceListSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.OrganizationPriceList
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class OrganizationPriceListSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.OrganizationPriceList
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
